﻿
$(function () {
    $("#i_code_id").change(function () {
        _countrySel.uninit();
        $("#i_code_secondid").empty();
        var value = $("#i_code_id").val();
        _countrySel.getSecondCode(value);
        
    });
});


var _countrySel = {
    getCode: null,//获取大类
    getSecondCode: null,
    init: null,//初始化
    uninit: null,//去掉初始化
    cfirst: 0,
    csecond: 0
}


_countrySel.init = function ( cfirst, csecond) {
    _countrySel.cfirst = cfirst;
    _countrySel.csecond = csecond;

    _countrySel.getCode();
    if (cfirst != '') {
        _countrySel.getSecondCode(cfirst);
    }
    
}
_countrySel.uninit = function () {
    _countrySel.cfirst = 0;
    _countrySel.csecond = 0;
}


_countrySel.getCode = function () {
    var obj = $("#i_code_id");
    $.ajax({
        type: "POST",
        url: "/Api/getWasteCode",
        data: {},
        dataType: "json",
        async: false,
        success: function (r) {
            if (r && r.success) {
                obj.empty();
                var html = '';
                html += '<option value="0" ' + (_countrySel.cfirst == 0 ? "selected" : "") + '>请选择</option>';
                for (var key in r.data) {
                    html += '<option value=' + key + '' + (key == _countrySel.cfirst ? ' selected' : '') + '>' + r.data[key] + '</option>';
                };
                obj.html(html);
            }
            else {
                layer.alert(r.msg);
            }
        }

    });

}

_countrySel.getSecondCode = function (Ids) {
    var obj = $("#i_code_secondid");
    $.ajax({
        type: "POST",
        url: "/Api/getWasteSecondCode",
        data: { i_wc_identifier: Ids },
        dataType: "json",
        async: false,
        success: function (r) {         
            if (r && r.success) {             
                obj.empty();
                var html = '';
                html += '<option value="0" ' + (_countrySel.csecond == 0 ? "selected" : "") + '>请选择</option>';

                for (var key in r.data) {
                    html += '<option value=' + key + '' + (key == _countrySel.csecond ? ' selected' : '') + '>' + r.data[key] + '</option>';
                };
                obj.html(html);
            }
            else {
                layer.alert(r.msg);
            }
        }
    });
}

